Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511311 - Somehow gnome-abrt picks up on the crashes of a big subset of my python 3 projects and spams me with uninteresting popups & log entries
Summary: Somehow gnome-abrt picks up on the crashes of a big subset of my python 3 pro...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 06:39 UTC by Jonas Thiem
Modified: 2018-11-30 22:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:58:35 UTC


Attachments (Terms of Use)

Description Jonas Thiem 2017-11-09 06:39:00 UTC
Description of problem:

For some reason, many of my python 3 projects (which are in no way system-wide installed or in any other way conected to Fedora packages in any deeper way than just lying around as .py files on my hard disk which I run) pile up gnome-abrt crash reports. I'm not even sure how I manage to do this since python3 -c "raise ValueError()" doesn't cause it, but it happens _all the time_.

As a developer, having every python3 termination with an error cause a something went wrong popup is a bit annoying. You could argue windows shows a dialog as well for crashing programs, however the gnome-abrt will also be spammed by those useless reports and drown out any stuff I would actually want to investigate and report. It degrades the usefulness of the entire abrt tool and my motivation to interact with it for legitimate Fedora bugs.

Version-Release number of selected component (if applicable):
1.2.5-6.fc27

How reproducible:
100%

Steps to Reproduce:
1. Develop python
2. Somehow fulfill the secret criteria for causing abrt to care about your python3 program terminations

Actual results:
lots and lots of crash reports I don't care about caused by my own software terminating with a regular traceback (which due to python's dynamic nature is a super common occurrence during development and testing, as most python devs would probably confirm)

Expected results:
My own testing code doesn't get logged to gnome-abrt for some odd reason

Additional info:

Comment 1 Jonas Thiem 2017-11-09 06:40:45 UTC
Sorry I forgot to change the 'How reproducible': it's 0% for python programs that don't get picked up, and 100% for those of mine who do - I still haven't figured out why, but it's not some randomized criteria since it doesn't change.

Comment 2 Ben Cotton 2018-11-27 14:16:03 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 22:58:35 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.